Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001216Core InformTesting commandspublic2014-04-03 12:222014-05-07 07:33
Reporterzarf 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version6L02 
Summary0001216: Generated uses of parser_trace should be under #ifdef DEBUG
DescriptionWhen ni generates parse_name procedures (Parse_Name_GV...) there are lines that test parser_trace, e.g.:

if (parser_trace >= 3) print "Parse_name called^";

if (parser_trace >= 3)
    print "Pass 1: ", pass1_n, " Pass 2: ", pass2_n, " Pass 3: ", n, "^";

These should be wrapped with #Ifdef DEBUG. (Or else not generated at all for release builds.) This is the convention for parser_trace lines in the I6 template code.

My very large game currently clocks in at 657 Parse_Name_GV routines, so saving two debug lines per routine is worthwhile.

(The parser_trace global cannot be set nonzero in release builds. In theory the global declaration could itself be wrapped in #Ifdef DEBUG, but it's never been that way and saving one global probably isn't worth the effort.)
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0002640)
graham (administrator)
2014-05-03 08:56

Done.

- Issue History
Date Modified Username Field Change
2014-04-03 12:22 zarf New Issue
2014-04-03 18:09 EmacsUser Reproducibility have not tried => always
2014-04-03 18:09 EmacsUser Status new => confirmed
2014-05-03 08:56 graham Note Added: 0002640
2014-05-03 08:56 graham Status confirmed => resolved
2014-05-03 08:56 graham Resolution open => fixed
2014-05-03 08:56 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker